查看 Collection 加载状态 (V2)
This operation returns the load status of a specific collection.
POST/v2/vectordb/collections/get_load_state
该 API 的 Base URL 格式如下:
https://${CLUSTER_ENDPOINT}
📘说明
- 你需要填入您的 Zilliz Cloud 集群的
${CLUSTER_ENDPOINT}。 - 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
shell
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheader必填项
认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。
示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring
The name of the database which the collection belongs to. Setting this to a non-existing database results in an error. If not specified, the default database applies.
collectionNamestring必填项
The name of the target collection. Setting this to a non-existing collection results in an error.
partitionNamesarray
Partition 名称列表。如果指定了 Partition 名称,释放任何一个 Partition 都会导致返回 NotLoad 状态。
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/get_load_state" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "quick_setup"
}'
响应200 OK - application/json
返回指定 Collection 的加载状态。
codeinteger
响应码。
示例值:0
dataobject
返回指定 Collection 的加载状态和加载进度。
loadStatestring
指定 Collection 的加载状态。
loadProgressinteger
指定 Collection 的加载进度。
Returns an error message.
codeinteger
响应码。
messagestring
错误描述。
Successjson
{
"code": 0,
"data": {
"loadProgress": 100,
"loadState": "LoadStateLoaded",
"message": ""
}
}